#include<iostream>
using namespace std;
void sortiranje(long long niz[], int pocetak, int kraj)
{
    int i, j, x;
    if(kraj-pocetak == 1)
    {
        if(niz[pocetak]>niz[kraj])
            swap(niz[pocetak], niz[kraj]);
    }
    else
    {
        x = niz[(pocetak+kraj)/2];
        i = pocetak;
        j = kraj;
        do
        {
            while(niz[i]<x)
            {
                i++;
            }
            while(niz[j]>x)
            {
                j--;
            }
            if(i<=j)
            {
                swap(niz[i], niz[j]);
                i++;
                j--;
            }

        }
        while(i<=j);
        if(j>pocetak)
        {
            sortiranje(niz, pocetak, j);
        }
        if(i<kraj)
        {
            sortiranje(niz, i, kraj);
        }

    }
}
int main()
{
    int t, n, m, br=0;
    long long zalbe[20][10000];
    int nm[10000], rezultati[20], x;
    cin >> t;
    for(int i=0; i<t; i++)
    {
        cin >> nm[br];
        cin >> nm[br+1];
        for(int j=0; j<nm[br]; j++)
            cin >> zalbe[br][j];
        for(int j=0; j<nm[br+1]; j++)
            cin >> zalbe[br+1][j];
        br+=2;
    }
    /* for(int i=0;i<t*2;i++)
     {
         for(int j=0;j<nm[i];j++)
             cout << zalbe[i][j] << " ";
         cout << endl;
     }*/
    for(int i=0; i<2*t; i++)
        sortiranje(zalbe[i], 0, nm[i]-1);

    int brojac = -2;
    for(int i=0;i<t;i++)
        rezultati[i] = 1;

    for(int i=0; i<t*2; i++)
    {
        if(i%2==0)
            brojac+=2;
        if(i%2==0)
            x = zalbe[i][1]-zalbe[i][0];
        for(int j=0; j<nm[i]; j++)
        {
            if(i%2==0)
                if(zalbe[i][j]%x!=zalbe[i][0])
                {
                    rezultati[brojac-1] = 0;

                }

            if(i%2!=0 && rezultati[brojac]!=0)
                if(zalbe[i][j]%x==zalbe[i][0])
                {
                    rezultati[brojac-1] = 0;
                }


        }
    }
    for(int i=0;i<t;i++)
        cout << rezultati[i] << endl;
    return 0;
}